/*
  description
    solution for the following task
    Germany :: FH Giessen-Friedber :: in Giessen :: program information science diploma (FH) :: 
    course "Datenbanksysteme 1" (i.e., database systems 1) :: SS 2003 :: homework 1 :: part f)
  author
    Matthias Ansorg
  date
    2003-05-12
  license
    public domain
*/

SELECT
  PO678306.Name AS ProfName,
  PO678306.Vorname AS ProfVorname,
  PO678306.PersonalID AS ProfPersonalID,
  COUNT(PU678306.PersonalID) AS Anzahl
  FROM PU678306, PO678306
    WHERE PO678306.PersonalID = PU678306.PersonalID
    GROUP BY PO678306.Name, PO678306.Vorname, PO678306.PersonalID
  
/*
  some pieces of documentation
  
  count
    returns the number of non-null values in the expression, i.e. argument.
    using count in a SELECT list means: this will appear as a column, derived 
    from the colum given in the argument, that way the values are now the COUNTs 
    of the values. The full column will have the COUNT of the same thing 
    (e.g. a specific PersonalID) multiple times, yeah each time the same thing 
    (e.g. a specific PersonalID) appears in a column row.
*/