/*
  description
    solution for the following task
    Germany :: FH Giessen-Friedber :: in Giessen :: program information science diploma (FH) :: 
    course "Datenbanksysteme 1" (i.e., database systems 1) :: SS 2003 :: homework 1 :: part d)
  author
    Matthias Ansorg
  date
    2003-05-12
  license
    public domain
*/

CREATE TABLE ST678306 (
  MatrNr      INT
    NOT NULL
    PRIMARY KEY,
  Vorname     VARCHAR(25),
  Name        VARCHAR(25)
)

CREATE TABLE PU678306 (
  MatrNr      INT
    NOT NULL,
  PersonalID  INT
    NOT NULL,
  Note        TINYINT,
  Wdh         TINYINT
    NOT NULL
    DEFAULT 1,
  ModulNr     CHAR(5)
    NOT NULL,
  lfdNr       INT
    NOT NULL
    PRIMARY KEY
    IDENTITY(1,1), 

  FOREIGN KEY(PersonalID) REFERENCES PO678306(PersonalID),
  FOREIGN KEY(MatrNr) REFERENCES ST678306(MatrNr)
)

CREATE TABLE PO678306 (
  Name        VARCHAR(25),
  PersonalID  INT
    NOT NULL
    PRIMARY KEY,
  Vorname     VARCHAR(25)
)
